# ---------------------------------------------------- Lighthouse ------------------------------------------------------
.lighthouse_docker_variables: &lighthouse_docker_variables
  variables:
    DOCKER_IMAGE_POSTFIX: /lighthouse
    DOCKER_FILE_PATH: lighthouse/Dockerfile
    DOCKER_CONTEXT: ./lighthouse/

.lighthouse_docker_changes: &lighthouse_docker_changes
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - lighthouse/*

.lighthouse_release_changes: &lighthouse_release_changes
  rules:
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $CI_DEFAULT_BRANCH
      changes:
        - lighthouse/*

# ----------------------------------------------------------------------------------------------------------------------
Lighthouse:Docker:Lint:
  extends: .Docker:Lint
  <<: *lighthouse_docker_variables
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - lighthouse/Dockerfile

Lighthouse:Docker:Build:
  extends: .Docker:Build
  <<: *lighthouse_docker_variables
  <<: *lighthouse_docker_changes

Lighthouse:Docker:Build:Latest:
  extends: .Docker:Build:Latest
  <<: *lighthouse_docker_variables
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      changes:
        - lighthouse/*

Lighthouse:Docker:Check:
  extends: .Docker:Check
  <<: *lighthouse_docker_variables
  <<: *lighthouse_docker_changes

# ----------------------------------------------------------------------------------------------------------------------
Lighthouse:Release:
  extends: .Release
  variables:
    TAG_PREFIX: "lighthouse-"
  # TODO: combine it with _release_changes
  rules:
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $CI_DEFAULT_BRANCH
      changes:
        - lighthouse/*
      when: manual

Lighthouse:Release:Create:
  extends: .Release:Create
  needs:
    - job: Lighthouse:Release
      artifacts: true
  <<: *lighthouse_release_changes

Lighthouse:Docker:Release:
  extends: .Docker:Release
  <<: *lighthouse_docker_variables
  needs:
    - job: Lighthouse:Docker:Build
    - job: Lighthouse:Release
      artifacts: true
  <<: *lighthouse_release_changes
